From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-vpn/strongswan/
Date: Sun, 6 Jan 2019 21:57:17 +0000 (UTC) [thread overview]
Message-ID: <1546811820.ad14f55a7186180241f2ed1b89a117fceee04e05.whissi@gentoo> (raw)
commit: ad14f55a7186180241f2ed1b89a117fceee04e05
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 6 21:09:00 2019 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Jan 6 21:57:00 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad14f55a
net-vpn/strongswan: bump to v5.7.2
- Use /run instead of /var/run for PID dir
Closes: https://bugs.gentoo.org/538102
Package-Manager: Portage-2.3.53, Repoman-2.3.12
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
net-vpn/strongswan/Manifest | 1 +
net-vpn/strongswan/strongswan-5.7.2.ebuild | 304 +++++++++++++++++++++++++++++
2 files changed, 305 insertions(+)
diff --git a/net-vpn/strongswan/Manifest b/net-vpn/strongswan/Manifest
index 29fdc73b496..d47eeafcabf 100644
--- a/net-vpn/strongswan/Manifest
+++ b/net-vpn/strongswan/Manifest
@@ -1 +1,2 @@
DIST strongswan-5.7.1.tar.bz2 4967533 BLAKE2B e438d1b44a997eb0e012586b18604bd35ac6f53cce1c34ff89192a760bbd0d6a9aaa7b90b389ff1a5e7c6d2356ff5cc74b40daad1d6579fa5026f4878489bf66 SHA512 43102814434bee7c27a5956be59099cc4ffb9bb5b0d6382ce4c6a80d1d82ed6639f698f5f5544b9ca563554a344638c953525b0e2d39bc6b71b19055c80e07fc
+DIST strongswan-5.7.2.tar.bz2 4997818 BLAKE2B e5a160ea8d31ae14c9731e414e42653ecb12f259fbe76ec7289f44afe5687f4123d89750a8f57c9ea006aec7f0be28e0f0c56d6c0a4bc96f0e1ba69c29da904f SHA512 e2169dbbc0c03737e34af90d7bc07e444408c5e2ac1f81764eeccbac8b142b984ce9ed512a89071075a930e0997632267f6912aa5b352eee2edbd551b5a64e7e
diff --git a/net-vpn/strongswan/strongswan-5.7.2.ebuild b/net-vpn/strongswan/strongswan-5.7.2.ebuild
new file mode 100644
index 00000000000..39fbb0f18ef
--- /dev/null
+++ b/net-vpn/strongswan/strongswan-5.7.2.ebuild
@@ -0,0 +1,304 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+inherit linux-info systemd user
+
+DESCRIPTION="IPsec-based VPN solution, supporting IKEv1/IKEv2 and MOBIKE"
+HOMEPAGE="https://www.strongswan.org/"
+SRC_URI="https://download.strongswan.org/${P}.tar.bz2"
+
+LICENSE="GPL-2 RSA DES"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="+caps curl +constraints debug dhcp eap farp gcrypt +gmp ldap mysql networkmanager +non-root +openssl selinux sqlite systemd pam pkcs11"
+
+STRONGSWAN_PLUGINS_STD="led lookip systime-fix unity vici"
+STRONGSWAN_PLUGINS_OPT="aesni blowfish ccm chapoly ctr forecast gcm ha ipseckey newhope ntru padlock rdrand save-keys unbound whitelist"
+for mod in $STRONGSWAN_PLUGINS_STD; do
+ IUSE="${IUSE} +strongswan_plugins_${mod}"
+done
+
+for mod in $STRONGSWAN_PLUGINS_OPT; do
+ IUSE="${IUSE} strongswan_plugins_${mod}"
+done
+
+COMMON_DEPEND="!net-misc/openswan
+ gmp? ( >=dev-libs/gmp-4.1.5:= )
+ gcrypt? ( dev-libs/libgcrypt:0 )
+ caps? ( sys-libs/libcap )
+ curl? ( net-misc/curl )
+ ldap? ( net-nds/openldap )
+ openssl? ( >=dev-libs/openssl-0.9.8:=[-bindist] )
+ mysql? ( dev-db/mysql-connector-c:= )
+ sqlite? ( >=dev-db/sqlite-3.3.1 )
+ systemd? ( sys-apps/systemd )
+ networkmanager? ( net-misc/networkmanager )
+ pam? ( sys-libs/pam )
+ strongswan_plugins_unbound? ( net-dns/unbound:= net-libs/ldns )"
+DEPEND="${COMMON_DEPEND}
+ virtual/linux-sources
+ sys-kernel/linux-headers"
+RDEPEND="${COMMON_DEPEND}
+ virtual/logger
+ sys-apps/iproute2
+ !net-vpn/libreswan
+ selinux? ( sec-policy/selinux-ipsec )"
+
+UGID="ipsec"
+
+pkg_setup() {
+ linux-info_pkg_setup
+
+ elog "Linux kernel version: ${KV_FULL}"
+
+ if ! kernel_is -ge 2 6 16; then
+ eerror
+ eerror "This ebuild currently only supports ${PN} with the"
+ eerror "native Linux 2.6 IPsec stack on kernels >= 2.6.16."
+ eerror
+ fi
+
+ if kernel_is -lt 2 6 34; then
+ ewarn
+ ewarn "IMPORTANT KERNEL NOTES: Please read carefully..."
+ ewarn
+
+ if kernel_is -lt 2 6 29; then
+ ewarn "[ < 2.6.29 ] Due to a missing kernel feature, you have to"
+ ewarn "include all required IPv6 modules even if you just intend"
+ ewarn "to run on IPv4 only."
+ ewarn
+ ewarn "This has been fixed with kernels >= 2.6.29."
+ ewarn
+ fi
+
+ if kernel_is -lt 2 6 33; then
+ ewarn "[ < 2.6.33 ] Kernels prior to 2.6.33 include a non-standards"
+ ewarn "compliant implementation for SHA-2 HMAC support in ESP and"
+ ewarn "miss SHA384 and SHA512 HMAC support altogether."
+ ewarn
+ ewarn "If you need any of those features, please use kernel >= 2.6.33."
+ ewarn
+ fi
+
+ if kernel_is -lt 2 6 34; then
+ ewarn "[ < 2.6.34 ] Support for the AES-GMAC authentification-only"
+ ewarn "ESP cipher is only included in kernels >= 2.6.34."
+ ewarn
+ ewarn "If you need it, please use kernel >= 2.6.34."
+ ewarn
+ fi
+ fi
+
+ if use non-root; then
+ enewgroup ${UGID}
+ enewuser ${UGID} -1 -1 -1 ${UGID}
+ fi
+}
+
+src_configure() {
+ local myconf=""
+
+ if use non-root; then
+ myconf="${myconf} --with-user=${UGID} --with-group=${UGID}"
+ fi
+
+ # If a user has already enabled db support, those plugins will
+ # most likely be desired as well. Besides they don't impose new
+ # dependencies and come at no cost (except for space).
+ if use mysql || use sqlite; then
+ myconf="${myconf} --enable-attr-sql --enable-sql"
+ fi
+
+ # strongSwan builds and installs static libs by default which are
+ # useless to the user (and to strongSwan for that matter) because no
+ # header files or alike get installed... so disabling them is safe.
+ if use pam && use eap; then
+ myconf="${myconf} --enable-eap-gtc"
+ else
+ myconf="${myconf} --disable-eap-gtc"
+ fi
+
+ for mod in $STRONGSWAN_PLUGINS_STD; do
+ if use strongswan_plugins_${mod}; then
+ myconf+=" --enable-${mod}"
+ fi
+ done
+
+ for mod in $STRONGSWAN_PLUGINS_OPT; do
+ if use strongswan_plugins_${mod}; then
+ myconf+=" --enable-${mod}"
+ fi
+ done
+
+ econf \
+ --disable-static \
+ --enable-ikev1 \
+ --enable-ikev2 \
+ --enable-swanctl \
+ --enable-socket-dynamic \
+ $(use_enable curl) \
+ $(use_enable constraints) \
+ $(use_enable ldap) \
+ $(use_enable debug leak-detective) \
+ $(use_enable dhcp) \
+ $(use_enable eap eap-sim) \
+ $(use_enable eap eap-sim-file) \
+ $(use_enable eap eap-simaka-sql) \
+ $(use_enable eap eap-simaka-pseudonym) \
+ $(use_enable eap eap-simaka-reauth) \
+ $(use_enable eap eap-identity) \
+ $(use_enable eap eap-md5) \
+ $(use_enable eap eap-aka) \
+ $(use_enable eap eap-aka-3gpp2) \
+ $(use_enable eap md4) \
+ $(use_enable eap eap-mschapv2) \
+ $(use_enable eap eap-radius) \
+ $(use_enable eap eap-tls) \
+ $(use_enable eap eap-ttls) \
+ $(use_enable eap xauth-eap) \
+ $(use_enable eap eap-dynamic) \
+ $(use_enable farp) \
+ $(use_enable gmp) \
+ $(use_enable gcrypt) \
+ $(use_enable mysql) \
+ $(use_enable networkmanager nm) \
+ $(use_enable openssl) \
+ $(use_enable pam xauth-pam) \
+ $(use_enable pkcs11) \
+ $(use_enable sqlite) \
+ $(use_enable systemd) \
+ $(use_with caps capabilities libcap) \
+ --with-piddir=/run \
+ --with-systemdsystemunitdir="$(systemd_get_systemunitdir)" \
+ ${myconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ doinitd "${FILESDIR}"/ipsec
+
+ local dir_ugid
+ if use non-root; then
+ fowners ${UGID}:${UGID} \
+ /etc/ipsec.conf \
+ /etc/strongswan.conf
+
+ dir_ugid="${UGID}"
+ else
+ dir_ugid="root"
+ fi
+
+ diropts -m 0750 -o ${dir_ugid} -g ${dir_ugid}
+ dodir /etc/ipsec.d \
+ /etc/ipsec.d/aacerts \
+ /etc/ipsec.d/acerts \
+ /etc/ipsec.d/cacerts \
+ /etc/ipsec.d/certs \
+ /etc/ipsec.d/crls \
+ /etc/ipsec.d/ocspcerts \
+ /etc/ipsec.d/private \
+ /etc/ipsec.d/reqs
+
+ dodoc NEWS README TODO || die
+
+ # shared libs are used only internally and there are no static libs,
+ # so it's safe to get rid of the .la files
+ find "${D}" -name '*.la' -delete || die "Failed to remove .la files."
+}
+
+pkg_preinst() {
+ has_version "<net-vpn/strongswan-4.3.6-r1"
+ upgrade_from_leq_4_3_6=$(( !$? ))
+
+ has_version "<net-vpn/strongswan-4.3.6-r1[-caps]"
+ previous_4_3_6_with_caps=$(( !$? ))
+}
+
+pkg_postinst() {
+ if ! use openssl && ! use gcrypt; then
+ elog
+ elog "${PN} has been compiled without both OpenSSL and libgcrypt support."
+ elog "Please note that this might effect availability and speed of some"
+ elog "cryptographic features. You are advised to enable the OpenSSL plugin."
+ elif ! use openssl; then
+ elog
+ elog "${PN} has been compiled without the OpenSSL plugin. This might effect"
+ elog "availability and speed of some cryptographic features. There will be"
+ elog "no support for Elliptic Curve Cryptography (Diffie-Hellman groups 19-21,"
+ elog "25, 26) and ECDSA."
+ fi
+
+ if [[ $upgrade_from_leq_4_3_6 == 1 ]]; then
+ chmod 0750 "${ROOT}"/etc/ipsec.d \
+ "${ROOT}"/etc/ipsec.d/aacerts \
+ "${ROOT}"/etc/ipsec.d/acerts \
+ "${ROOT}"/etc/ipsec.d/cacerts \
+ "${ROOT}"/etc/ipsec.d/certs \
+ "${ROOT}"/etc/ipsec.d/crls \
+ "${ROOT}"/etc/ipsec.d/ocspcerts \
+ "${ROOT}"/etc/ipsec.d/private \
+ "${ROOT}"/etc/ipsec.d/reqs
+
+ ewarn
+ ewarn "The default permissions for /etc/ipsec.d/* have been tightened for"
+ ewarn "security reasons. Your system installed directories have been"
+ ewarn "updated accordingly. Please check if necessary."
+ ewarn
+
+ if [[ $previous_4_3_6_with_caps == 1 ]]; then
+ if ! use non-root; then
+ ewarn
+ ewarn "IMPORTANT: You previously had ${PN} installed without root"
+ ewarn "privileges because it was implied by the 'caps' USE flag."
+ ewarn "This has been changed. If you want ${PN} with user privileges,"
+ ewarn "you have to re-emerge it with the 'non-root' USE flag enabled."
+ ewarn
+ fi
+ fi
+ fi
+ if ! use caps && ! use non-root; then
+ ewarn
+ ewarn "You have decided to run ${PN} with root privileges and built it"
+ ewarn "without support for POSIX capability dropping. It is generally"
+ ewarn "strongly suggested that you reconsider- especially if you intend"
+ ewarn "to run ${PN} as server with a public ip address."
+ ewarn
+ ewarn "You should re-emerge ${PN} with at least the 'caps' USE flag enabled."
+ ewarn
+ fi
+ if use non-root; then
+ elog
+ elog "${PN} has been installed without superuser privileges (USE=non-root)."
+ elog "This imposes several limitations mainly to the IKEv1 daemon 'pluto'"
+ elog "but also a few to the IKEv2 daemon 'charon'."
+ elog
+ elog "Please carefully read: http://wiki.strongswan.org/wiki/nonRoot"
+ elog
+ elog "pluto uses a helper script by default to insert/remove routing and"
+ elog "policy rules upon connection start/stop which requires superuser"
+ elog "privileges. charon in contrast does this internally and can do so"
+ elog "even with reduced (user) privileges."
+ elog
+ elog "Thus if you require IKEv1 (pluto) or need to specify a custom updown"
+ elog "script to pluto or charon which requires superuser privileges, you"
+ elog "can work around this limitation by using sudo to grant the"
+ elog "user \"ipsec\" the appropriate rights."
+ elog "For example (the default case):"
+ elog "/etc/sudoers:"
+ elog " ipsec ALL=(ALL) NOPASSWD: SETENV: /usr/sbin/ipsec"
+ elog "Under the specific connection block in /etc/ipsec.conf:"
+ elog " leftupdown=\"sudo -E ipsec _updown iptables\""
+ elog
+ fi
+ elog
+ elog "Make sure you have _all_ required kernel modules available including"
+ elog "the appropriate cryptographic algorithms. A list is available at:"
+ elog " http://wiki.strongswan.org/projects/strongswan/wiki/KernelModules"
+ elog
+ elog "The up-to-date manual is available online at:"
+ elog " http://wiki.strongswan.org/"
+ elog
+}
next reply other threads:[~2019-01-06 21:57 UTC|newest]
Thread overview: 112+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-01-06 21:57 Thomas Deutschmann [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-06 4:58 [gentoo-commits] repo/gentoo:master commit in: net-vpn/strongswan/ John Helmert III
2024-04-06 6:09 Joonas Niilola
2024-04-06 6:09 Joonas Niilola
2024-04-06 4:47 Sam James
2024-04-03 17:38 Florian Schmaus
2024-03-12 21:52 Arthur Zamarin
2024-03-12 21:04 Arthur Zamarin
2024-03-12 20:54 Arthur Zamarin
2024-01-16 8:39 Florian Schmaus
2023-10-31 12:25 Sam James
2023-10-08 21:51 Conrad Kostecki
2023-10-04 7:49 Joonas Niilola
2023-10-03 14:15 Sam James
2023-10-03 14:15 Sam James
2023-06-28 21:11 Sam James
2023-04-19 5:28 Sam James
2023-04-19 5:28 Sam James
2023-04-19 5:28 Sam James
2023-03-30 17:22 Arthur Zamarin
2023-03-17 18:25 Sam James
2023-03-14 23:14 Conrad Kostecki
2023-01-09 8:44 Florian Schmaus
2022-12-04 18:08 Arthur Zamarin
2022-12-04 6:52 Joonas Niilola
2022-12-04 6:52 Joonas Niilola
2022-11-02 5:11 Jakov Smolić
2022-10-05 7:46 Florian Schmaus
2022-10-05 7:46 Florian Schmaus
2022-10-05 6:46 Agostino Sarubbo
2022-10-05 6:14 Joonas Niilola
2022-10-05 6:14 Joonas Niilola
2022-08-16 7:44 Agostino Sarubbo
2022-08-16 5:50 Joonas Niilola
2022-08-16 5:50 Joonas Niilola
2022-08-10 8:20 Florian Schmaus
2022-06-29 15:35 Florian Schmaus
2022-05-06 10:04 Florian Schmaus
2022-05-06 10:04 Florian Schmaus
2022-02-02 15:23 Jakov Smolić
2022-02-02 9:47 Sam James
2022-02-02 8:04 Agostino Sarubbo
2022-02-02 8:02 Agostino Sarubbo
2022-01-28 7:53 Sam James
2022-01-27 15:32 Florian Schmaus
2022-01-12 8:25 Florian Schmaus
2022-01-07 15:06 Florian Schmaus
2022-01-06 18:33 Florian Schmaus
2022-01-06 18:33 Florian Schmaus
2022-01-02 14:15 Florian Schmaus
2022-01-02 14:15 Florian Schmaus
2021-06-17 22:18 Thomas Deutschmann
2021-06-17 22:18 Thomas Deutschmann
2021-06-17 20:32 Thomas Deutschmann
2021-06-07 6:25 Sergei Trofimovich
2021-06-03 8:23 Sam James
2021-06-03 0:45 Sam James
2021-06-01 0:46 Sam James
2021-05-31 20:45 David Seifert
2021-03-27 1:08 Thomas Deutschmann
2021-02-16 12:34 Sam James
2021-02-11 9:31 Sam James
2021-02-06 15:39 Sam James
2021-02-05 12:31 Sam James
2020-11-15 16:33 Thomas Deutschmann
2020-11-15 16:33 Thomas Deutschmann
2020-10-07 7:09 Agostino Sarubbo
2020-10-07 6:50 Agostino Sarubbo
2020-10-07 6:42 Agostino Sarubbo
2020-10-06 17:26 Sam James
2020-08-31 4:07 Sam James
2020-08-18 11:22 Agostino Sarubbo
2020-08-17 7:01 Agostino Sarubbo
2020-08-15 17:48 Sam James
2020-08-11 17:33 Thomas Deutschmann
2020-08-11 8:24 Sam James
2020-05-03 19:01 Thomas Deutschmann
2019-12-24 15:07 Thomas Deutschmann
2019-12-24 15:07 Thomas Deutschmann
2019-12-24 14:49 Mikle Kolyada
2019-12-15 18:03 Agostino Sarubbo
2019-12-15 14:07 Agostino Sarubbo
2019-12-15 13:43 Agostino Sarubbo
2019-10-20 20:20 Thomas Deutschmann
2019-04-30 10:26 Thomas Deutschmann
2019-03-10 14:19 Mikle Kolyada
2019-03-03 11:59 Mikle Kolyada
2019-03-02 20:49 Thomas Deutschmann
2019-03-02 20:02 Sergei Trofimovich
2018-11-15 12:35 Thomas Deutschmann
2018-11-07 22:59 Sergei Trofimovich
2018-10-31 17:17 Markus Meier
2018-10-18 11:31 Thomas Deutschmann
2018-10-17 16:10 Agostino Sarubbo
2018-10-17 10:19 Thomas Deutschmann
2018-10-17 10:05 Thomas Deutschmann
2018-09-14 22:13 Thomas Deutschmann
2018-09-02 19:24 Thomas Deutschmann
2018-03-13 11:59 Pacho Ramos
2018-03-03 22:16 Sergei Trofimovich
2018-02-24 15:17 Patrick Lauer
2018-02-05 21:27 Markus Meier
2018-01-26 18:21 Thomas Deutschmann
2018-01-23 16:41 Agostino Sarubbo
2017-11-26 23:23 David Seifert
2017-09-25 13:22 Patrick Lauer
2017-09-24 17:31 Patrick Lauer
2017-07-16 0:19 Aaron Bauman
2017-06-23 4:38 Markus Meier
2017-06-18 14:01 Agostino Sarubbo
2017-06-02 15:36 Bjarke Istrup Pedersen
2017-06-02 12:23 Bjarke Istrup Pedersen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1546811820.ad14f55a7186180241f2ed1b89a117fceee04e05.whissi@gentoo \
--to=whissi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox